Index: demo/Makefile.am
===================================================================
--- demo/Makefile.am	(revision 2497)
+++ demo/Makefile.am	(revision 2647)
@@ -1,53 +1,30 @@
-EXTRA_DIST += \
-	demo/Makefile \
-	demo/sub_graph_adaptor_demo.dim \
-	demo/circulation-input.lgf \
-	demo/coloring.lgf \
-	demo/dir_components.lgf \
-	demo/disjoint_paths_demo.lgf \
-	demo/graph_orientation.lgf \
-	demo/partitions.lgf \
-	demo/route.lgf \
-	demo/sample.lgf \
-	demo/simann_maxcut_demo.lgf \
-	demo/strongly_connected_orientation.lgf \
-	demo/sub_gad_input.lgf \
-	demo/u_components.lgf \
-	demo/steiner.lgf \
-	demo/sat-2.in
+#EXTRA_DIST += demo/sub_graph_adaptor_demo.dim
 
 if WANT_DEMO
 
-noinst_PROGRAMS += \
-	demo/arg_parser_demo \
-	demo/circulation_demo \
-	demo/csp_demo \
-	demo/dim_to_dot \
-	demo/dijkstra_demo \
-	demo/reader_writer_demo \
-	demo/eps_demo \
-	demo/graph_to_eps_demo \
-	demo/graph_orientation \
-	demo/min_route \
-	demo/hello_lemon \
-	demo/hello_world \
-	demo/maps_summary \
-	demo/sub_graph_adaptor_demo \
-	demo/descriptor_map_demo \
-	demo/coloring \
-	demo/grid_ugraph_demo \
-	demo/topology_demo \
-	demo/topological_ordering \
-	demo/simann_maxcut_demo \
-	demo/disjoint_paths_demo \
-	demo/strongly_connected_orientation \
-	demo/steiner_demo \
-	demo/sat-2
+#noinst_PROGRAMS += \
+#	demo/dim_to_dot \
+#	demo/dijkstra_demo \
+#	demo/reader_writer_demo \
+#	demo/dim_to_lgf \
+#	demo/eps_demo \
+#	demo/graph_to_eps_demo \
+#	demo/graph_orientation \
+#	demo/min_route \
+#	demo/hello_lemon \
+#	demo/sub_graph_adaptor_demo \
+#	demo/descriptor_map_demo \
+#	demo/coloring \
+#	demo/grid_ugraph_demo \
+#	demo/topology_demo \
+#	demo/simann_maxcut_demo \
+#	demo/disjoint_paths_demo \
+#	demo/strongly_connected_orientation
 
 if HAVE_GLPK
-noinst_PROGRAMS += demo/lp_demo demo/lp_maxflow_demo demo/mip_demo demo/sat
+#noinst_PROGRAMS += demo/lp_demo demo/lp_maxflow_demo
 else !HAVE_GLPK
 if HAVE_CPLEX
-noinst_PROGRAMS += demo/lp_demo demo/lp_maxflow_demo
+#noinst_PROGRAMS += demo/lp_demo demo/lp_maxflow_demo
 endif HAVE_CPLEX
 endif !HAVE_GLPK
@@ -55,63 +32,43 @@
 endif WANT_DEMO
 
-demo_arg_parser_demo_SOURCES = demo/arg_parser_demo.cc
+#demo_dim_to_dot_SOURCES = demo/dim_to_dot.cc
 
-demo_csp_demo_SOURCES = demo/csp_demo.cc
+#demo_dijkstra_demo_SOURCES = demo/dijkstra_demo.cc
 
-demo_circulation_demo_SOURCES = demo/circulation_demo.cc
+#demo_eps_demo_SOURCES = demo/eps_demo.cc
 
-demo_dim_to_dot_SOURCES = demo/dim_to_dot.cc
+#demo_reader_writer_demo_SOURCES = demo/reader_writer_demo.cc
 
-demo_dijkstra_demo_SOURCES = demo/dijkstra_demo.cc
+#demo_dim_to_lgf_SOURCES = demo/dim_to_lgf.cc
 
-demo_eps_demo_SOURCES = demo/eps_demo.cc
+#demo_coloring_SOURCES = demo/coloring.cc
 
-demo_reader_writer_demo_SOURCES = demo/reader_writer_demo.cc
+#demo_graph_to_eps_demo_SOURCES = demo/graph_to_eps_demo.cc
 
-demo_coloring_SOURCES = demo/coloring.cc
+#demo_grid_ugraph_demo_SOURCES = demo/grid_ugraph_demo.cc
 
-demo_maps_summary_SOURCES = demo/maps_summary.cc
+#demo_graph_orientation_SOURCES = demo/graph_orientation.cc
 
-demo_graph_to_eps_demo_SOURCES = demo/graph_to_eps_demo.cc
+#demo_min_route_SOURCES = demo/min_route.cc
 
-demo_grid_ugraph_demo_SOURCES = demo/grid_ugraph_demo.cc
+#demo_hello_lemon_SOURCES = demo/hello_lemon.cc
 
-demo_graph_orientation_SOURCES = demo/graph_orientation.cc
+#demo_sub_graph_adaptor_demo_SOURCES = \
+#	demo/sub_graph_adaptor_demo.cc \
+#	demo/tight_edge_filter_map.h
 
-demo_min_route_SOURCES = demo/min_route.cc
+#demo_lp_demo_SOURCES = demo/lp_demo.cc
+#demo_lp_demo_CXXFLAGS = $(GLPK_CFLAGS) $(CPLEX_CFLAGS)
 
-demo_hello_lemon_SOURCES = demo/hello_lemon.cc
+#demo_lp_maxflow_demo_SOURCES = demo/lp_maxflow_demo.cc
+#demo_lp_maxflow_demo_CXXFLAGS = $(GLPK_CFLAGS) $(CPLEX_CFLAGS)
 
-demo_hello_world_SOURCES = demo/hello_world.cc
+#demo_descriptor_map_demo_SOURCES = demo/descriptor_map_demo.cc
 
-demo_sub_graph_adaptor_demo_SOURCES = \
-	demo/sub_graph_adaptor_demo.cc \
-	demo/tight_edge_filter_map.h
+#demo_topology_demo_SOURCES = demo/topology_demo.cc
 
-demo_lp_demo_SOURCES = demo/lp_demo.cc
-demo_lp_demo_CXXFLAGS = $(GLPK_CFLAGS) $(CPLEX_CFLAGS)
+#demo_simann_maxcut_demo_SOURCES = demo/simann_maxcut_demo.cc
 
-demo_mip_demo_SOURCES = demo/mip_demo.cc
-demo_mip_demo_CXXFLAGS = $(GLPK_CFLAGS) $(CPLEX_CFLAGS)
+#demo_disjoint_paths_demo_SOURCES = demo/disjoint_paths_demo.cc
 
-demo_lp_maxflow_demo_SOURCES = demo/lp_maxflow_demo.cc
-demo_lp_maxflow_demo_CXXFLAGS = $(GLPK_CFLAGS) $(CPLEX_CFLAGS)
-
-demo_descriptor_map_demo_SOURCES = demo/descriptor_map_demo.cc
-
-demo_topology_demo_SOURCES = demo/topology_demo.cc
-
-demo_topological_ordering_SOURCES = demo/topological_ordering.cc
-
-demo_simann_maxcut_demo_SOURCES = demo/simann_maxcut_demo.cc
-
-demo_disjoint_paths_demo_SOURCES = demo/disjoint_paths_demo.cc
-
-demo_strongly_connected_orientation_SOURCES = demo/strongly_connected_orientation.cc
-
-demo_steiner_demo_SOURCES=demo/steiner_demo.cc
-
-demo_sat_2_SOURCES=demo/sat-2.cc
-
-demo_sat_SOURCES=demo/sat.cc
-demo_sat_CXXFLAGS = $(GLPK_CFLAGS) $(CPLEX_CFLAGS)
+#demo_strongly_connected_orientation_SOURCES = demo/strongly_connected_orientation.cc
